// priority: 1001
let $CuriosApi = Java.loadClass("top.theillusivec4.curios.api.CuriosApi")
let $ScaleTypes = Java.loadClass('virtuoel.pehkui.api.ScaleTypes');
let $IModularItem = Java.loadClass('se.mickelus.tetra.items.modular.IModularItem');
let $SweepingEffect = Java.loadClass('se.mickelus.tetra.effect.SweepingEffect')
let $LivingDeathEvent = Java.loadClass('net.minecraftforge.event.entity.living.LivingDeathEvent');
let $LivingEquipmentChangeEvent = Java.loadClass('net.minecraftforge.event.entity.living.LivingEquipmentChangeEvent');
let $EntityTravelToDimensionEvent = Java.loadClass('net.minecraftforge.event.entity.EntityTravelToDimensionEvent');
let $LivingChangeTargetEvent = Java.loadClass('net.minecraftforge.event.entity.living.LivingChangeTargetEvent');
let $LivingAttackEvent = Java.loadClass('net.minecraftforge.event.entity.living.LivingAttackEvent');
let $MobEffectEvent$Applicable = Java.loadClass('net.minecraftforge.event.entity.living.MobEffectEvent$Applicable');
let $MobEffectEvent$Expired = Java.loadClass("net.minecraftforge.event.entity.living.MobEffectEvent$Expired");
let $ItemEffect = Java.loadClass('se.mickelus.tetra.effect.ItemEffect');
let $EffectHelper = Java.loadClass('se.mickelus.tetra.effect.EffectHelper');
let $SweepingStrikeEffect = Java.loadClass('se.mickelus.tetra.effect.SweepingStrikeEffect');
let $LivingTickEvent = Java.loadClass("net.minecraftforge.event.entity.living.LivingEvent$LivingTickEvent");
let $Player = Java.loadClass("net.minecraft.world.entity.player.Player")
let $LivingDamageEvent = Java.loadClass("net.minecraftforge.event.entity.living.LivingDamageEvent")
let $LivingHurtEvent = Java.loadClass("net.minecraftforge.event.entity.living.LivingHurtEvent")
let $PlayerEvent$BreakSpeed = Java.loadClass("net.minecraftforge.event.entity.player.PlayerEvent$BreakSpeed")
let $ModularItem = Java.loadClass("se.mickelus.tetra.items.modular.ModularItem")
let $TransmogUtils = Java.loadClass("com.hidoni.transmog.TransmogUtils")
let $ItemModuleMajor = Java.loadClass("se.mickelus.tetra.module.ItemModuleMajor")
let Event$Result = Java.loadClass("net.minecraftforge.eventbus.api.Event$Result")
let $BowItem = Java.loadClass("net.minecraft.world.item.BowItem")
let $ItemModularHandheld = Java.loadClass('se.mickelus.tetra.items.modular.ItemModularHandheld');
let $ModularBowItem = Java.loadClass('se.mickelus.tetra.items.modular.impl.bow.ModularBowItem');
let $ItemStack = Java.loadClass('net.minecraft.world.item.ItemStack');
let $ConfigSchematic = Java.loadClass('se.mickelus.tetra.module.schematic.ConfigSchematic');
let $LivingHealEvent = Java.loadClass('net.minecraftforge.event.entity.living.LivingHealEvent');
let $PropertyHelper = Java.loadClass("se.mickelus.tetra.properties.PropertyHelper")
let $ItemUpgradeRegistry = Java.loadClass('se.mickelus.tetra.module.ItemUpgradeRegistry');
let $ItemModule = Java.loadClass('se.mickelus.tetra.module.ItemModule');
let $StandOnFluidEvent = Java.loadClass('com.github.L_Ender.lionfishapi.server.event.StandOnFluidEvent');
let $MobEffect = Java.loadClass('net.minecraft.world.effect.MobEffect');
let $HitResult$Type = Java.loadClass("net.minecraft.world.phys.BlockHitResult")
let $Arrow = Java.loadClass('net.minecraft.world.entity.projectile.Arrow')
let $HitResult = Java.loadClass('net.minecraft.world.phys.HitResult')
let $ItemAttributeModifierEvent = Java.loadClass('net.minecraftforge.event.ItemAttributeModifierEvent')
let $TetraAttributes = Java.loadClass('se.mickelus.tetra.properties.TetraAttributes');
let $Attributes = Java.loadClass('net.minecraft.world.entity.ai.attributes.Attributes');
let $PlayerEvent = Java.loadClass('net.minecraftforge.event.entity.player.PlayerEvent')
let $CurioChangeEvent = Java.loadClass('top.theillusivec4.curios.api.event.CurioChangeEvent')
let DinosaurSpiritEntity = Java.loadClass('com.github.alexmodguy.alexscaves.server.entity.item.DinosaurSpiritEntity');
let ACEntityRegistry = Java.loadClass('com.github.alexmodguy.alexscaves.server.entity.ACEntityRegistry');
let ACEnchantmentRegistry = Java.loadClass('com.github.alexmodguy.alexscaves.server.enchantment.ACEnchantmentRegistry');
let ACItemRegistry = Java.loadClass('com.github.alexmodguy.alexscaves.server.item.ACItemRegistry');
let EntityAnchorArgument = Java.loadClass('net.minecraft.commands.arguments.EntityAnchorArgument');
let $ACWorldData = Java.loadClass('com.github.alexmodguy.alexscaves.server.level.storage.ACWorldData')
let $TidalTentacleUtil = Java.loadClass('com.github.L_Ender.cataclysm.entity.util.TidalTentacleUtil');
let $ModEntities = Java.loadClass('com.github.L_Ender.cataclysm.init.ModEntities');
let $LivingEvent$LivingTickEvent = Java.loadClass('net.minecraftforge.event.entity.living.LivingEvent$LivingTickEvent')
let $RandomSource = Java.loadClass("net.minecraft.util.RandomSource");
let $hp_sweeping = Java.loadClass('com.hp_dzzl.utils.Sweeping')
let $DamageTypeTags = Java.loadClass('net.minecraft.tags.DamageTypeTags')
let $ModCapabilities = Java.loadClass('com.github.L_Ender.cataclysm.init.ModCapabilities');
let $Tidal_Tentacle_Entity = Java.loadClass("com.github.L_Ender.cataclysm.entity.projectile.Tidal_Tentacle_Entity")
let $OverHoningUtil = Java.loadClass("net.yiran.toh.OverHoningUtil");
let $HammerHeadBlockEntity = Java.loadClass('se.mickelus.tetra.blocks.forged.hammer.HammerHeadBlockEntity')